summaryrefslogtreecommitdiff
path: root/plugins
diff options
context:
space:
mode:
authorRobby Russell <robby@planetargon.com>2011-05-13 02:50:43 -0700
committerRobby Russell <robby@planetargon.com>2011-05-13 02:50:43 -0700
commit4a497b021c886fece4b8dd162a730bf8b4e5343a (patch)
tree0a95d4f695c06d9bd3d8bd892fcbd16b7d2c8586 /plugins
parent4f71818a8b5e6e4901c2534066e827f045bd8d25 (diff)
parentbd1a78ae34cc3ce81a7b858f459ad0ad8da2cf62 (diff)
downloadzsh-4a497b021c886fece4b8dd162a730bf8b4e5343a.tar.gz
zsh-4a497b021c886fece4b8dd162a730bf8b4e5343a.tar.bz2
zsh-4a497b021c886fece4b8dd162a730bf8b4e5343a.zip
Merge pull request #324 from sorin-ionescu/plugin-compleat
Compleat - Completion for Human Beings Plugin
Diffstat (limited to 'plugins')
-rw-r--r--plugins/compleat/compleat.plugin.zsh22
1 files changed, 22 insertions, 0 deletions
diff --git a/plugins/compleat/compleat.plugin.zsh b/plugins/compleat/compleat.plugin.zsh
new file mode 100644
index 000000000..8d16a5687
--- /dev/null
+++ b/plugins/compleat/compleat.plugin.zsh
@@ -0,0 +1,22 @@
+# ------------------------------------------------------------------------------
+# FILE: compleat.plugin.zsh
+# DESCRIPTION: oh-my-zsh plugin file.
+# AUTHOR: Sorin Ionescu (sorin.ionescu@gmail.com)
+# VERSION: 1.0.0
+# ------------------------------------------------------------------------------
+
+
+if (( ${+commands[compleat]} )); then
+ local prefix="${commands[compleat]:h:h}"
+ local setup="${prefix}/share/compleat-1.0/compleat_setup"
+
+ if [[ -f "$setup" ]]; then
+ if ! bashcompinit >/dev/null 2>&1; then
+ autoload -U bashcompinit
+ bashcompinit -i
+ fi
+
+ source "$setup"
+ fi
+fi
+